import { Routes } from '@angular/router';
import { SettingsComponent } from './settings/settings.component';

export const routes: Routes = [
  {
    path: '',
    loadChildren: () => import('./tabs/tabs.routes').then((m) => m.routes),
  },
  {
    path: 'generateOption',
    loadComponent: () =>
      import('./generate-option/generate-option.component').then((m) => m.GenerateOptionComponent),
  },
  {
    path: 'generateResult/:resultId',
    loadComponent: () =>
      import('./generate-result/generate-result.component').then((m) => m.GenerateResultComponent),
  },
  {
    path:'settings',
    loadComponent:()=>
      import('./settings/settings.component').then((m)=>m.SettingsComponent),
  },
  {
    path:'userInfo',
    loadComponent:()=>
      import('./user-info/user-info.component').then((m)=>m.UserInfoComponent),
  },
  {
    path:'sendPost',
    loadComponent:()=>
      import('./send-post/send-post.component').then((m)=>m.SendPostComponent),
  },
  {
    path:'postDetail/:postId',
    loadComponent:()=>
      import('../lib/component/post-detail/post-detail.component').then((m)=>m.PostDetailComponent),
  },
  {
    path:'generateHistory',
    loadComponent:()=>
      import('./generate-history/generate-history.component').then((m)=>m.GenerateHistoryComponent),
  },
  {
    path:'aiChat',
    loadComponent:()=>
      import('./ai-chat-component/ai-chat-component.component').then((m)=>m.AiChatComponentComponent),
  },
  {
    path:'chatHistory',
    loadComponent:()=>
      import('./chat-history/chat-history.component').then((m)=>m.ChatHistoryComponent),
  },
  {
    path:'chatcontent',
    loadComponent:()=>
      import('./chat-content/chat-content.component').then((m)=>m.ChatContentComponent),
  },
];
